CPP(1)

NAME
cpp - the C language preprocessor

SYNOPSIS
cpp [ -CHPRT ] [ -undef ] [ -Dname ]
[ -Dname=val ] [ -Idirectory ] [ -Uname ]
[ -Ydirectory ] [ [input-file [output-file]] ]

DESCRIPTION
cpp is the C language prepeocessor. This implementation does not implement the ANSI C standard but K&R.

OPTIONS

-C  Pass all comments (except those that appear on lines with cpp directives) to the output. The default is to suppress C-style comments.

-H  Print the path names of includes files on standard error. Each name is printed on a separate line, names pay appear more than once.

-P  Do not include line control information in the preprocessor output.

-R  Allow recursive macros.

-T  Only check for the first eight characters in macro names. This option allows backwards compatibility with old systems that only check for the first eight characters.

-undef
    Remove all initially predefined macros.

-Dname
    Defines name as 1. This option has the same effect as if a

    #define name 1

    line was in the input file.

-Dname=val
    Defines name as val. This option has the same effect as if a

    #define name val

    line was in the input file.

-Idirectory
    Adds directory to the search path for #include directives.

-Uname
    Remove an initial definition of name.

-Ydirectory
    Uses directory instead of the standard system include directory.

EXAMPLES

ENVIRONMENT

FILES

SEE ALSO

DIAGNOSTICS

NOTES
ANSI C preprocessors replace an escaped NEWLINE (a backslash that is immediately followed by a NEWLINE) with a SPACE. This implementation keeps backslash NEWLINE intact.

BUGS

AUTHOR
cpp was written by John F. Reiser in July/August 1978. This is a version enhanced by J. Schilling.